@import "assets/scss/global";

.filter-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    flex-wrap: wrap;

    .frequency-select {
        width: 100px !important;

        &>div {
            border-radius: 10px;
        }
    }

    .btn-reset {
        height: 33px;
        // padding: 8px 24px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: row;
        gap: 5px;
        border-color: #7c68ee;
        border-radius: 40px;
        transition: all .3s;

        color: #7c68ee;
        font-size: 13px;
        font-style: normal;
        font-weight: 500;
        line-height: 17px;

        &:hover {
            background-color: #7c68ee1a;
        }

        svg {
            path {
                fill: #7c68ee;
            }
        }

        &.disabled {
            border: 1px solid $border-color;
            background: $secondary-color3;
            color: $border-color;
            cursor: not-allowed;

            svg {
                path {
                    fill: $border-color;
                }
            }
        }
    }
}

.menuCustom {
    max-height: 260px !important;

    & > div {
        width: 100%;
        max-width: 150px;

        span {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
}